//  created by Nathaniel Beers
/*  Purpose: To allow simconnection.C to have access to the commands given
    below. This will allow it to compile.*/
#ifndef SIM_HELPER_FUNC
#define SIM_HELPER_FUNC
/*
#ifdef __cplusplus
extern "C"
{
#endif
*/

#include <mpi.h>
#include "basin_funcs.h"
#include <string>
#include <vector>
#include <VisItDataInterface_V1.h>

extern VisIt_SimulationMetaData *md;
extern bool runFlag;

void createCMD(char *name);
void setCMDEnable(char *name, int enabledCMD);
void setCMDIsOn(char *name, int isOn);
void setCMDValue(char *name, int value);
void setCMDText(char *name, char *text);
void initAllCMD(int MaxNumCustCMD);
void setGenCMD(vector<string> &names);

/*
#ifdef __cplusplus
}
#endif
*/
#endif
